﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Input;

using WpfModelViewApplication1.Commands;
using Infragistics.Windows.Editors;

namespace WpfModelViewApplication1.ViewModels
{
    public class MainViewModel : ViewModelBase
    {
        private DelegateCommand exitCommand;
        
        private int editorValue;
        public int EditorValue
        {
            get { return editorValue; }
            set 
            { 
                editorValue = value;
                OnPropertyChanged("EditorValue");
            }
        }
        
        #region Constructor

        public MainViewModel()
        {
            editorValue = 20;
        }

        #endregion

        public ICommand ExitCommand
        {
            get
            {
                if (exitCommand == null)
                {
                    exitCommand = new DelegateCommand(Exit);
                }
                return exitCommand;
            }
        }

        private void Exit()
        {
            Application.Current.Shutdown();
        }
    }
}
